Skip to main content
GET
/
xrp
/
network-data
/
block-interval
cURL
curl "https://api.cryptoquant.com/v1/xrp/network-data/block-interval?window=day&limit=2"
{
  "status": {
    "code": 200,
    "message": "success"
  },
  "result": {
    "window": "day",
    "data": [
      {
        "date": "2019-09-02",
        "average_block_interval": null
      },
      {
        "date": "2019-09-01",
        "average_block_interval": null
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

For each API request, include this HTTP header: Authorization with the Bearer {access_token}. Bearer access token is the type of HTTP Authorization. You have to include access token to the HTTP header and note that leading bearer is required. You must include your access token in HTTP header in every request you make. The token is unique, issued for each client, and regularly changed(once a year). To obtain an access token, please upgrade your plan to Professional or Premium plan. You'll be able to see your access token on the API tab of your profile page after the subscription.

Query Parameters

window
string
default:day

Currently, we support day and hour.

from
string

This defines the starting time for which data will be gathered, formatted as YYYYMMDDTHHMMSS (indicating YYYY-MM-DDTHH:MM:SS, UTC time). If window=day is used, it can also be formatted as YYYYMMDD (date). If window=block is used, you can also specify the exact block height (e.g. 510000). If this field is not specified, response will include data from the earliest time.

to
string

This defines the ending time for which data will be gathered, formatted as YYYYMMDDTHHMMSS (indicating YYYY-MM-DDTHH:MM:SS, UTC time). If window=day is used, it can also be formatted as YYYYMMDD (date). If window=block is used, you can also specify the exact block height (e.g. 510000). If this field is not specified, response will include data from the latest time.

limit
integer
default:100

The maximum number of entries to return before the latest data point (or before to if specified). This field ranges from 1 to 100,000.

Required range: 1 <= x <= 100000
format
string
default:json

A format type about return message type. Supported formats are json, csv.

Response

200 - application/json

The average time between blocks generated in seconds.

status
object
required

The status object is return with most of requests and indicates if the request was successful. If it is not successful, error information is included.

result
object
required